Permalink
Browse files

Limit strong_parameters tests to ActiveModel 3.2

  • Loading branch information...
1 parent 5fa8909 commit be8d08a94dbb58ca99f6e0e7b5a4eb0b9f191438 @cgriego committed Jul 30, 2012
View
@@ -5,6 +5,8 @@ gemspec :development_group => :test
if RUBY_VERSION < "1.9.2"
gem "factory_girl", "< 3.0", :group => :test
gem "strong_parameters", :git => "git://github.com/rails/strong_parameters.git", :group => :test
+else
+ gem "strong_parameters"
end
group :development do
View
@@ -18,10 +18,9 @@ Gem::Specification.new do |gem|
gem.add_runtime_dependency "activemodel", ">= 3.0.2", "< 4.1"
gem.add_runtime_dependency "activesupport", ">= 3.0.2", "< 4.1"
- gem.add_development_dependency "bundler", "~> 1.0"
- gem.add_development_dependency "factory_girl", ">= 2.2", "< 4.0"
- gem.add_development_dependency "rake", "~> 0.9.0"
- gem.add_development_dependency "rspec", "~> 2.6"
- gem.add_development_dependency "strong_parameters", "~> 0.1.3"
- gem.add_development_dependency "tzinfo", "~> 0.3.29"
+ gem.add_development_dependency "bundler", "~> 1.0"
+ gem.add_development_dependency "factory_girl", ">= 2.2", "< 4.0"
+ gem.add_development_dependency "rake", "~> 0.9.0"
+ gem.add_development_dependency "rspec", "~> 2.6"
+ gem.add_development_dependency "tzinfo", "~> 0.3.29"
end
@@ -4,7 +4,6 @@ gemspec :development_group => :test, :path => ".."
if RUBY_VERSION < "1.9.2"
gem "factory_girl", "< 3.0", :group => :test
- gem "strong_parameters", :git => "git://github.com/rails/strong_parameters.git", :group => :test
end
gem "activemodel", "~> 3.0.2"
@@ -4,7 +4,6 @@ gemspec :development_group => :test, :path => ".."
if RUBY_VERSION < "1.9.2"
gem "factory_girl", "< 3.0", :group => :test
- gem "strong_parameters", :git => "git://github.com/rails/strong_parameters.git", :group => :test
end
gem "activemodel", "~> 3.1.0"
@@ -1,10 +1,11 @@
require "spec_helper"
require "active_attr/mass_assignment_security"
-require "strong_parameters"
module ActiveAttr
describe MassAssignmentSecurity, :mass_assignment do
- context "integrating with strong_parameters" do
+ context "integrating with strong_parameters", :active_model_version => "~> 3.2.0" do
+ require "strong_parameters"
+
subject { model_class }
before do

0 comments on commit be8d08a

Please sign in to comment.